Create Or Update Loyalty Program Voucher Card Image
Loyalty
Create Or Update Loyalty Program Voucher Card Image
Create or Update Card Voucher Image
Updates or creates a new card image for a specific voucher within a loyalty program.
-
Path Parameters:
programId: UUID of the loyalty programvoucherId: UUID of the vouchertype: Type of the card image (e.g., ‘thumbnail’, ‘banner’)
-
Request Body:
image: Image file to be uploaded.
-
Returns:
- Updated or new card image details as a JSON object, or an error message if the image is invalid.
POST
Create Or Update Loyalty Program Voucher Card Image
Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Supported images Boarding pass: logo, icon, footer Coupon: logo, icon, strip Event ticket: logo, icon, strip, background, thumbnail If you specify a strip image, do not specify a background image or a thumbnail. Generic: logo, icon, thumbnail Store card: logo, icon, strip
Args: StrEnum (type): description
Available options:
logo, icon, strip, footer, background, thumbnail Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
multipart/form-data
Response
Successful Response
